/**
 * Extract a WebID and the clientID from an ID token payload based on https://github.com/solid/webid-oidc-spec.
 * Note that this does not yet implement the user endpoint lookup, and only checks
 * for `webid`, `azp` or IRI-like `sub` claims.
 *
 * @param idToken the payload of the ID token from which the WebID can be extracted.
 * @returns an object with entries webId and clientId extracted from the ID token.
 * @internal
 */
export declare function getWebidFromTokenPayload(idToken: string, jwksIri: string, issuerIri: string, clientId: string): Promise<{
    webId: string;
    clientId?: string;
}>;
